---
updatedAt: 2025-06-10T20:42:18.000Z
agentTools:
  projectIndex: https://docs.acefone.in/llms.txt
---

# Add a note to a call

This API allows you to add a note to a call.

### Sample Request

```java
curl --request POST \
     --url https://api.acefone.in/v1/call/note/id \
     --header 'accept: application/json' \
     --header 'content-type: application/json'
```

📘 Important!

> Before we begin, note that the \* sign denotes the mandatory variables in each table.

### Request Variables (Path Params)

The following parameter is required to add a note to a call.

| **Variable Name** | **Description**        | **Data Type** |
| ----------------- | ---------------------- | ------------- |
| id                | Unique ID of the call. | String        |

### Request Variables (Body Params)

The following parameter is required to add a note to a call.

| **Variable Name**  | **Description**                                                                                           | **Data Type** |
| ------------------ | --------------------------------------------------------------------------------------------------------- | ------------- |
| message            | Note to be added for the call.                                                                            | string        |
| agent\_disposition | Agent Disposition to be added against the dialer calls. Multiple dispositions can be added seprated by \| | string        |

### Response Variables

The response returned is as following:

| **Variable Name** | **Description**                                                                                                                                                       | **Data Type** |
| ----------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------- |
| Success           | The request success status, the possible values are: **True** (default) for success. **False** for failure.                                                           | Boolean       |
| Message           | The message corresponding to the success status. For example, in **400** Response where the "success" variable pops as **True**, the message displayed is shown here. | String        |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "servetel-base-api-config",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.acefone.in"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/v1/call/note/{id}": {
      "post": {
        "summary": "Add a note to a call",
        "description": "This API allows you to add a note to a call.",
        "operationId": "add-a-note-to-a-call",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "message": {
                    "type": "string",
                    "description": "Note to be added for the call."
                  },
                  "agent_disposition": {
                    "type": "string",
                    "description": "Agent Disposition to be added against the dialer calls. Multiple dispositions can be added seprated by |"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```